#ifndef _INC_SPOOL
#define _INC_SPOOL

#ifndef _INC_WINDOWS
#include <windows.h>
#endif

// Function prototypes
#ifdef __cplusplus
extern "C" {
#endif
BOOL FAR PASCAL __export _PrintFile(LPSTR, HDC, HGLOBAL, HGLOBAL);
BOOL FAR PASCAL __export PrintFile(LPSTR);
VOID SendFile(HDC, LPSTR);
HDC FAR PASCAL __export GetPrinterDC(HGLOBAL, HGLOBAL);
BOOL CALLBACK __export PrintAbortProc(HDC, int);
BOOL FAR PASCAL __export _SpoolRow( LPSTR, WORD, HDC, HGLOBAL, HGLOBAL);
BOOL FAR PASCAL __export SpoolRow( LPSTR, WORD );
BOOL FAR PASCAL __export OpenText( LPSTR, LPSTR );
int FAR PASCAL __export WriteText( LPSTR );
BOOL FAR PASCAL __export CloseText();
#ifdef __cplusplus
}
#endif

#endif  /* _INC_SPOOL */
